Subject: Re: [yang-doctors] ietf yang toplevel node names

From: Benoit Claise <[email-masked]>
Date: Fri, 24 Nov 2017 12:52:34 +0100

Jürgen,

Does RFC6087bis have appropriate text on that front?

Regards, B.
> Hi,
>
> here is what I compiled today since I needed an overview:
>
>    -rw interfaces            ietf-interfaces         RFC 7223
>    -rw ipfix                 ietf-ipfix-psamp        RFC 6728
>    -rw key-chains            ietf-key-chain          RFC 8177
>    -rw lmap                  ietf-lmap-control       RFC 8194
>    -ro modules-state         ietf-yang-library       RFC 7895
>    -rw nacm                  ietf-netconf-acm        RFC 6536
>    -ro netconf-state         ietf-netconf-monitoring RFC 6022
>    -rw routing               ietf-routing            RFC 8022
>    -rw snmp                  ietf-snmp               RFC 7407
>    -rw system                ietf-system             RFC 7317
>    -ro system-state          ietf-system             RFC 7317
>
>    -ro interfaces-state      ietf-interfaces         RFC 7223 (to be deprecated)
>    -ro routing-state         ietf-routing            RFC 8022 (to be obsoleted)
>
> If you ignore the -state nodes, things actually look reasonable.
> Perhaps it makes sense to pay attention during YANG reviews what the
> WGs choose as their toplevel nodes so that things look somewhat
> reasonable. No, I am not interested in a discussion of a 'device
> model' - just about making sure WGs and authors choose names that
> somehow align with what we have.
>
> /js
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 24 Nov 2017 13:12:23 +0100

I hope so. I believe it is more important that we check what is being
newly allocated and provide guidance where needed as we go.

/js

On Fri, Nov 24, 2017 at 12:52:34PM +0100, Benoit Claise wrote:
> _______________________________________________
> yang-doctors mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/yang-doctors

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>